#ifndef PROYECTIL_H
#define PROYECTIL_H

#include <QObject>
#include <QGraphicsPixmapItem>
#include <QPropertyAnimation>

class proyectil : public QObject, public QGraphicsPixmapItem
{
    Q_OBJECT
    Q_PROPERTY(qreal x READ x WRITE setX NOTIFY checkZombieColision)
public:
    explicit proyectil(QPixmap pixmap, int x, int y, bool direction);
    virtual ~proyectil();

    qreal x() const;
    void setX(qreal newX);
    void checkZombieColision();

signals:
    void detectedZombieColision();
    void xAnimationFinished();

private:
    qreal m_x;
    QPropertyAnimation * xAnimation;
};

#endif // PROYECTIL_H
